//------------------------------------------------------------------------------------
// irr::scene::SMeshBufferTangents wrappers (parent is IMeshBuffer)
//------------------------------------------------------------------------------------

extern "C" 
{

	SMeshBufferTangents* IrrScene_SMeshBufferTangents_new()
	{
		return new SMeshBufferTangents();
	}

	void IrrScene_SMeshBufferTangents_append(SMeshBufferTangents* mb,S3DVertexTangents** vertices, u32 numVertices, const u16* const indices, u32 numIndices)
	{
		if (mb) {
			array<S3DVertexTangents> vertices_array;
			for (int i=0; i<numVertices; i++) {	
				vertices_array.push_back(*vertices[i]);
			}
		
			mb->append(vertices_array.const_pointer(), numVertices, indices, numIndices);
		}
	}			
}